Bug 64917 - Mozilla opens a browser window with a blank page
Mozilla opens a browser window with a blank page
Product: Red Hat Linux
Classification: Retired
Component: mozilla (Show other bugs)
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Christopher Blizzard
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2002-05-14 10:51 EDT by Ted Clark
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-05-14 10:51:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ted Clark 2002-05-14 10:51:04 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020408

Description of problem:
Mozilla will open a browser window with a blank page even if 'home page on
startup' is selected in preferences if there is already an instance of Mozilla
running.  This is correct behavior if the previous instance of Mozilla is a
browser window, but it will also exhibit this behavior if the previous instance
is a Mozilla Mail window.  The determination as to whether a home page should be
loaded or not should be based on the number of browser windows open, not on the
number of Mozilla instances already running.

AFAIK this is a design issue, not an implementation bug.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Close all Mozilla browser windows.
2. Open Mozilla Mail.
3. Select Edit->Preferences->Navigator from the menubar, enter a URL for  a
homepage, and select the home page on startup radio button.

4. Open a Mozilla browser window.

Actual Results:  Mozilla will open a browser window with a blank page.

Expected Results:  Mozilla should open a browser window and display a home page,
since this is the first browser window opened.

Additional info:

Comment 1 Christopher Blizzard 2002-08-29 18:38:03 EDT
I think that this is because of the way that xremote works.  Please report it
upstream to get it fixed, it's probably not going to get fixed here.

Note You need to log in before you can comment on or make changes to this bug.